Given /^I am logged in as administrator$/ do
  system "op5-manage-users --update --username=admin1 --password=123123 --module=Default --realname=AdminUser --group=admins"
  visit "https://#{SERVER}/#{NINJA_URL_PATH}/index.php"
  steps %Q{
    And I enter "admin1" into "username"
    And I enter "123123" into "password"
    And I click "Login"
    Then I should be logged in
    And I check for cookie bar
  }
end

Then /^I should be logged in$/ do
  page.should have_css(".profile-name", :visible => true)
end
